<?php
/* New Affiliates Page */

if ( !defined( 'ABSPATH' ) ) {
    exit ; // Exit if accessed directly.
}
$affiliate_id    = isset( $_POST[ 'coupon_linking' ][ 'affiliate_id' ] ) ? $_POST[ 'coupon_linking' ][ 'affiliate_id' ] : array () ;
$coupon_id       = isset( $_POST[ 'coupon_linking' ][ 'coupon_data' ] ) ? $_POST[ 'coupon_linking' ][ 'coupon_data' ] : array () ;
$status          = isset( $_POST[ 'coupon_linking' ][ 'status' ] ) ? $_POST[ 'coupon_linking' ][ 'status' ] : '' ;
?>
<div class="<?php echo $this->plugin_slug ; ?>_affiliates_new">
    <h2><?php _e( 'Affiliate Coupon Linking' , FS_AFFILIATES_LOCALE ) ; ?></h2>
    <table class="form-table">
        <tbody>
            <tr>
                <th scope='row'>
                    <label><?php _e( 'Coupon Name' , FS_AFFILIATES_LOCALE ) ; ?></label>
                </th>
                <td>
                    <?php
                    $args            = array (
                        'id'          => 'user_id' ,
                        'name'        => 'coupon_linking[coupon_data]' ,
                        'list_type'   => 'coupons' ,
                        'action'      => 'fs_coupon_search' ,
                        'placeholder' => __( 'Search a Coupon' , FS_AFFILIATES_LOCALE ) ,
                        'multiple'    => false ,
                        'selected'    => true ,
                        'options'     => ( array ) $coupon_id
                            ) ;
                    fs_affiliates_select2_html( $args ) ;
                    ?>
                </td>
            </tr>
            <tr>
                <th scope='row'>
                    <label><?php _e( 'Affiliate Name' , FS_AFFILIATES_LOCALE ) ; ?></label>
                </th>
                <td>
                    <?php
                    $args            = array (
                        'id'          => 'user_id' ,
                        'name'        => 'coupon_linking[affiliate_id]' ,
                        'list_type'   => 'affiliates' ,
                        'action'      => 'fs_affiliates_search' ,
                        'placeholder' => __( 'Search a Affiliate' , FS_AFFILIATES_LOCALE ) ,
                        'multiple'    => false ,
                        'selected'    => true ,
                        'options'     => ( array ) $affiliate_id
                            ) ;
                    fs_affiliates_select2_html( $args ) ;
                    ?>
                </td>
            </tr>
            <tr>
                <th scope='row'>
                    <label><?php _e( 'Status' , FS_AFFILIATES_LOCALE ) ; ?></label>
                </th>
                <td>
                    <select name='coupon_linking[status]' class='fs_affiliates_status'>
                        <?php
                        $selected_status = array (
                            'fs_link'   => __( 'Link' , FS_AFFILIATES_LOCALE ) ,
                            'fs_unlink' => __( 'Unlink' , FS_AFFILIATES_LOCALE ) ,
                                ) ;
                        foreach ( $selected_status as $type => $name ) {
                            ?>
                            <option value="<?php echo $type ; ?>" <?php selected( $status , $type ) ; ?>><?php echo $name ; ?></option>
                        <?php } ?>
                    </select>
                </td>
            </tr>
        </tbody>
    </table>
    <p class="submit">
        <input name='<?php echo $this->plugin_slug ; ?>_save' class='button-primary <?php echo $this->plugin_slug ; ?>_save_btn' type='submit' value="<?php _e( 'Link Coupon' , FS_AFFILIATES_LOCALE ) ; ?>" />
        <input type="hidden" name="link_new_affiliates" value="add-new"/>
        <input type="hidden" name="extra_module_save" value="yes"/>
        <?php
        wp_nonce_field( $this->plugin_slug . '_link_new_affiliates' , '_' . $this->plugin_slug . '_nonce' , false , true ) ;
        ?>
    </p>
</div>
